Skip to main content
Memory Stores

Get a memory item

GET
/memory_stores/{name}/items/{memory_id}

Retrieves the specified memory item from the memory store.

Path Parameters
namestringrequired
The name of the memory store.
memory_idstringrequired
The ID of the memory item to retrieve.
Query Parameters
api-versionstringrequired
The API version to use for this operation.
Header Parameters
Foundry-Featuresstringrequired
A feature flag opt-in required when using preview operations or modifying persisted preview resources.
MemoryStores=V1Preview
Responses
One of the following:
user_profileUserProfileMemoryItem
A memory item specifically containing user profile information extracted from conversations, such as preferences, interests, and personal details.
chat_summaryChatSummaryMemoryItem
A memory item containing a summary extracted from conversations.
proceduralProceduralMemoryItem
A memory item containing a procedure extracted from conversations.